Package org.apache.qpid.proton.logging

# Class ProtonLoggerFactory

java.lang.Object
org.apache.qpid.proton.logging.ProtonLoggerFactory

public class ProtonLoggerFactory extends Object
Thin convenience wrapper around `Logger`

## Constructor Summary

Constructors
Constructor
Description
`ProtonLoggerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static Logger`
`getLogger(Class<?> clazz)`
Returns a logger named using the fully qualified name of the supplied class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProtonLoggerFactory

public ProtonLoggerFactory()

## Method Details

### getLogger

public static Logger getLogger(Class<?> clazz)
Returns a logger named using the fully qualified name of the supplied class.